using System;
namespace ConsoleApp1
{
    class Program
    {
        static String Main(string[] args)
        {
            String c = Convert.ToString(Console.ReadLine());
            int a1 = Convert.ToInt32(Console.ReadLine());
            int a2 = Convert.ToInt32(Console.ReadLine());
            String rezultat = "";
            if (c.Length != 2)
            {
                return "Treba uneti dva slova";
            }
            String c1 =  Convert.ToString(c[0]);
            String c2 = Convert.ToString(c[1]);
            if (Math.Abs(a1 - a2) > 1)
            {

                rezultat = "Nemoguce";
            }
            else
            {
                if (a1 == a2)
                {
                    for (int i = 0; i < a1; i++) rezultat += c1 + c2;
                    
                }
                else if (a1 > a2)
                {
                    for (int i = 0; i < a2; i++) rezultat += c1 + c2;
                    rezultat += c1;
                }
                else
                {
                    for (int i = 0; i < a1; i++) rezultat += c2 + c1;
                    rezultat += c2;
                }
            }
            Console.WriteLine(rezultat);
            return rezultat;
        }
    }
}